---
id: papers
title: Papers using BoTorch
---

The main reference for BoTorch is

[BoTorch: A Framework for Efficient Monte-Carlo Bayesian Optimization](https://proceedings.neurips.cc/paper/2020/hash/f5b1b89d98b7286673128a5fb112cb9a-Abstract.html):

    @inproceedings{balandat2020botorch,
        title = {{BoTorch: A Framework for Efficient Monte-Carlo Bayesian Optimization}},
        author = {Balandat, Maximilian and Karrer, Brian and Jiang, Daniel R. and Daulton, Samuel and Letham, Benjamin and Wilson, Andrew Gordon and Bakshy, Eytan},
        booktitle = {Advances in Neural Information Processing Systems 33},
        year = 2020,
        url = {https://proceedings.neurips.cc/paper/2020/hash/f5b1b89d98b7286673128a5fb112cb9a-Abstract.html}
    }


Here is an incomplete selection of peer-reviewed Bayesian optimization papers that build off of BoTorch:

- [Differentiable Expected Hypervolume Improvement for Parallel Multi-Objective Bayesian Optimization](https://proceedings.neurips.cc/paper/2020/hash/6fec24eac8f18ed793f5eaad3dd7977c-Abstract.html). Sam Daulton, Maximilian Balandat, Eytan Bakshy. NeurIPS 2020.
- [Bayesian Optimization of Risk Measures
](https://proceedings.neurips.cc/paper/2020/hash/e8f2779682fd11fa2067beffc27a9192-Abstract.html). Sait Cakmak, Raul Astudillo Marban, Peter Frazier, Enlu Zhou. NeurIPS 2020.
- [High-Dimensional Contextual Policy Search with Unknown Context Rewards using Bayesian Optimization
](https://proceedings.neurips.cc/paper/2020/hash/faff959d885ec0ecf70741a846c34d1d-Abstract.html). Qing Feng, Benjamin Letham, Hongzi Mao, Eytan Bakshy. NeurIPS 2020.
- [High-Dimensional Bayesian Optimization via Nested Riemannian Manifolds](https://proceedings.neurips.cc/paper/2020/hash/f05da679342107f92111ad9d65959cd3-Abstract.html). Noémie Jaquier, Leonel Rozo. NeurIPS 2020.
- [Efficient Nonmyopic Bayesian Optimization via One-Shot Multi-Step Trees](https://proceedings.neurips.cc/paper/2020/hash/d1d5923fc822531bbfd9d87d4760914b-Abstract.html). Shali Jiang, Daniel Jiang, Maximilian Balandat, Brian Karrer, Jacob Gardner, Roman Garnett. NeurIPS 2020.
- [Re-Examining Linear Embeddings for High-Dimensional Bayesian Optimization](https://proceedings.neurips.cc/paper/2020/hash/10fb6cfa4c990d2bad5ddef4f70e8ba2-Abstract.html). Ben Letham, Roberto Calandra, Akshara Rai, Eytan Bakshy. NeurIPS 2020.
- [PareCO: Pareto-aware Channel Optimization for Slimmable Neural Networks
](https://arxiv.org/abs/2007.11752). Ting-Wu Chin, Ari S. Morcos, Diana Marculescu. ICML 2020 Workshop on Real World Experiment Design and Active Learning.
- [High-Dimensional Bayesian Optimization with Sparse Axis-Aligned Subspaces
](https://arxiv.org/abs/2103.00349). David Eriksson, Martin Jankowiak. UAI 2021.
- [Bayesian Optimization over Permutation Spaces](https://arxiv.org/abs/2112.01049). Aryan Deshwal, Syrine Belakaria, Janardhan Rao Doppa, Dae Hyun Kim. AAAI 2021.
- [Bayesian Optimization with High-Dimensional Outputs](https://papers.nips.cc/paper/2021/hash/a0d3973ad100ad83a64c304bb58677dd-Abstract.html). Wesley J. Maddox, Maximilian Balandat, Andrew G. Wilson, Eytan Bakshy. NeurIPS 2021.
- [Parallel Bayesian Optimization of Multiple Noisy Objectives with Expected Hypervolume Improvement](https://papers.nips.cc/paper/2021/hash/11704817e347269b7254e744b5e22dac-Abstract.html). Samuel Daulton, Maximilian Balandat, Eytan Bakshy. NeurIPS 2021.
- [Combining Latent Space and Structured Kernels for Bayesian Optimization over Combinatorial Spaces](https://papers.nips.cc/paper/2021/hash/44e76e99b5e194377e955b13fb12f630-Abstract.html). Aryan Deshwal, Jana Doppa. NeurIPS 2021.
- [Multi-Step Budgeted Bayesian Optimization with Unknown Evaluation Costs](https://papers.nips.cc/paper/2021/hash/a8ecbabae151abacba7dbde04f761c37-Abstract.html). Raul Astudillo, Daniel Jiang, Maximilian Balandat, Eytan Bakshy, Peter Frazier. NeurIPS 2021.
- [Bayesian Optimization of Function Networks](https://papers.nips.cc/paper/2021/hash/792c7b5aae4a79e78aaeda80516ae2ac-Abstract.html). Raul Astudillo, Peter Frazier. NeurIPS 2021.
- [Improving black-box optimization in VAE latent space using decoder uncertainty](https://papers.nips.cc/paper/2021/hash/06fe1c234519f6812fc4c1baae25d6af-Abstract.html). Pascal Notin, José Miguel Hernández-Lobato, Yarin Gal. NeurIPS 2021
- [Risk-averse Heteroscedastic Bayesian Optimization](https://papers.nips.cc/paper/2021/hash/8f97d1d7e02158a83ceb2c14ff5372cd-Abstract.html). Anastasia Makarova, Ilnura Usmanova, Ilija Bogunovic, Andreas Krause. NeurIPS 2021.
